osl::move_probability::AttackToOpposingSliders Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::AttackToOpposingSliders:

## Public Member Functions

| AttackToOpposingSliders ()
double | match (const StateInfo &state, const MoveInfo &info, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Additional Inherited Members

Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 613 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## AttackToOpposingSliders()

osl::move_probability::AttackToOpposingSliders::AttackToOpposingSliders | ( |  | ) |

inline

Definition at line 616 of file move_probability/feature.h.

References osl::move_probability::Feature::Feature(), and osl::PTYPE_SIZE.

## Member Function Documentation

## match()

double osl::move_probability::AttackToOpposingSliders::match | ( | const StateInfo & | state,
|  | const MoveInfo & | info,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 619 of file move_probability/feature.h.

References osl::NumEffectState::hasEffectIf(), osl::move_probability::MoveInfo::move, osl::Piece::owner(), osl::move_probability::StateInfo::pin_by_opposing_sliders, osl::move_probability::MoveInfo::player, osl::Move::ptype(), osl::Piece::ptype(), osl::PTYPE_EMPTY, osl::PTYPE_SIZE, osl::Move::ptypeO(), osl::move_probability::MoveInfo::see, osl::Piece::square(), osl::move_probability::StateInfo::state, and osl::Move::to().

The documentation for this class was generated from the following file:

- move_probability/feature.h